Query Logs
curl --request GET \
--url https://api.fivemanage.com/api/v3/logs \
--header 'Authorization: <api-key>'import requests
url = "https://api.fivemanage.com/api/v3/logs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fivemanage.com/api/v3/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"body": "<string>",
"level": "<string>",
"metadata": {},
"parentId": "<string>",
"resource": "<string>",
"timestamp": "<string>",
"traceId": "<string>"
}
],
"pagination": {
"hasMore": true,
"limit": 123,
"offset": 123,
"total": 123
},
"status": "<string>"
}{
"error": "Error message"
}{
"error": "Error message"
}{
"error": "Error message"
}Logging
Query Logs
Search and list log entries with filtering and pagination.
GET
/
v3
/
logs
Query Logs
Authorizations
Query Parameters
Dataset name (alternative to X-Fivemanage-Dataset header)
Comma-separated log levels (e.g. error,warning)
Filter by resource name
Free-text search on the log Body column only
Exact match on a LogAttributes JSON path (e.g. metadata.userId=123 or metadata._playerIdentifiers.discord=abc)
Start time (RFC 3339, e.g. 2024-01-01T00:00:00Z)
End time (RFC 3339, e.g. 2024-01-02T00:00:00Z)
Page size (default: 50, max: 100)
Offset for pagination (default: 0)
Sort direction on timestamp: asc or desc (default: desc)
Include total count in response (default: false, skipped for performance)
Was this page helpful?
.png?fit=max&auto=format&n=tUtwuHgibAuVylZ9&q=85&s=44653a825fa0664047dae92cd8969b2d)
